/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#include "project.h"
#include <main.h>
#include <ADXL345.h>

static float x= 0.0f;
static float y= 0.0f;
static float z= 0.0f;


void InitializeSystem(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
    I2C_Start();
}    
void ReadSensorDataAndNotify(void)  
{  
  ADXL345_GetGxyz(&x, &y, &z); 
}

int main(void)
{
   InitializeSystem(); //Initialize the Components and enable interrupts
   for(;;)
    {
         ReadSensorDataAndNotify(); //Read the sensor
    }
}
/* [] END OF FILE */
